org.eclipse.ease.ui.scripts.repository

## Interface IScriptLocation

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, IRawLocation, org.eclipse.emf.common.notify.Notifier

    public interface IScriptLocation
    extends IRawLocation

A representation of the model object ' Script Location'.

The following features are supported:

- `Recursive`
- `Default`
- `Scripts`

See Also:
  `IRepositoryPackage.getScriptLocation()`

### Method Summary

All Methods Instance Methods Abstract Methods
`org.eclipse.emf.common.util.EList<IScript>` `getScripts()` Returns the value of the 'Scripts' containment reference list.
`boolean` `isDefault()` Returns the value of the 'Default' attribute.
`boolean` `isRecursive()` Returns the value of the 'Recursive' attribute.
`void` `setDefault(boolean value)` Sets the value of the ' `Default`' attribute.
`void` `setRecursive(boolean value)` Sets the value of the ' `Recursive`' attribute.

### Methods inherited from interface org.eclipse.ease.ui.scripts.repository.IRawLocation

`getInputStream, getLocation, getResource, isUpdatePending, setLocation, setUpdatePending`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### isRecursive

    boolean isRecursive()

Returns the value of the 'Recursive' attribute. The default value is `"false"`.

If the meaning of the 'Recursive' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Recursive' attribute.
See Also:
  `setRecursive(boolean)`, `IRepositoryPackage.getScriptLocation_Recursive()`

#### setRecursive

    void setRecursive(boolean value)

Sets the value of the ' `Recursive`' attribute.

Parameters:
  `value` - the new value of the 'Recursive' attribute.
See Also:
  `isRecursive()`

#### isDefault

    boolean isDefault()

Returns the value of the 'Default' attribute. The default value is `"false"`.

If the meaning of the 'Default' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Default' attribute.
See Also:
  `setDefault(boolean)`, `IRepositoryPackage.getScriptLocation_Default()`

#### setDefault

    void setDefault(boolean value)

Sets the value of the ' `Default`' attribute.

Parameters:
  `value` - the new value of the 'Default' attribute.
See Also:
  `isDefault()`

#### getScripts

    org.eclipse.emf.common.util.EList<IScript> getScripts()

Returns the value of the 'Scripts' containment reference list. The list contents are of type `IScript`. It is bidirectional and its opposite is '`Entry`'.

If the meaning of the 'Scripts' containment reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Scripts' containment reference list.
See Also:
  `IRepositoryPackage.getScriptLocation_Scripts()`, `IScript.getEntry()`